Bug 1129935 (CVE-2014-3596) - CVE-2014-3596 axis: SSL hostname verification bypass, incomplete CVE-2012-5784 fix
Summary: CVE-2014-3596 axis: SSL hostname verification bypass, incomplete CVE-2012-578...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3596
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20140819,repo...
Depends On: 1129981 1129984 1129971 1129979 1129980 1129982 1129983 1129985 1129986 1129987 1129988 1129989 1129993 1129995 1134761 1134762 1219514
Blocks: 1130120 1134386 1196328 1220827
TreeView+ depends on / blocked
 
Reported: 2014-08-14 03:27 UTC by David Jorm
Modified: 2019-06-11 11:13 UTC (History)
29 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that Axis incorrectly extracted the host name from an X.509 certificate subject's Common Name (CN) field. A man-in-the-middle attacker could use this flaw to spoof an SSL server using a specially crafted X.509 certificate.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:34:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1193 normal SHIPPED_LIVE Important: axis security update 2014-09-15 19:40:17 UTC
Red Hat Product Errata RHSA-2015:1010 normal SHIPPED_LIVE Important: Red Hat JBoss Portal 6.2.0 security update 2015-05-14 19:14:11 UTC

Description David Jorm 2014-08-14 03:27:37 UTC
It was found that the fix for CVE-2012-5784 was incomplete. The code added to check that the server hostname matches the domain name in the subject's CN field was flawed. This can be exploited by a Man-in-the-middle (MITM) attack where the attacker can spoof a valid certificate using a specially crafted subject.

Comment 1 David Jorm 2014-08-14 03:31:13 UTC
Statement:

Note that Axis 1 is EOL upstream, and the incomplete patch for CVE-2012-5784 was never merged upstream. It was, however, shipped by various vendors, including Debian and Red Hat. Additional information can be found in the Red Hat Knowledgebase article: https://access.redhat.com/solutions/1164433

Acknowledgements:

This issue was discovered by David Jorm and Arun Neelicattu of Red Hat Product Security.

Comment 4 Tomas Hoger 2014-08-27 12:44:16 UTC
The original issue CVE-2012-5784 was tracked via bug 873252.

This problem is similar to Apache HttpComponents Client / Apache/Jakarta Commons HttpClient issue CVE-2014-3577, see bug 1129074 comment 23 for technical details.

Comment 6 Martin Prpič 2014-09-04 09:52:21 UTC
IssueDescription:

It was discovered that Axis incorrectly extracted the host name from an X.509 certificate subject's Common Name (CN) field. A man-in-the-middle attacker could use this flaw to spoof an SSL server using a specially crafted X.509 certificate.

Comment 7 errata-xmlrpc 2014-09-15 15:40:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2014:1193 https://rhn.redhat.com/errata/RHSA-2014-1193.html

Comment 9 errata-xmlrpc 2015-05-14 15:14:17 UTC
This issue has been addressed in the following products:

  JBoss Portal 6.2.0

Via RHSA-2015:1010 https://rhn.redhat.com/errata/RHSA-2015-1010.html


Note You need to log in before you can comment on or make changes to this bug.